<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android" package="org.btssio.siogel">

<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- récupérer les infos réseau -->
<uses-permission android:name="android.permission.INTERNET" /> <!-- permet à l'application de se connecter à Internet -->
<uses-permission android:name="com.google.android.providers.gsf.permission.READ.GSERVICES" /> <!-- accès aux services Google -->
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- autorisation d'écrire dans la mémoire externe du téléphone -->
    <!--
         The ACCESS_COARSE/FINE_LOCATION permissions are not required to use
         Google Maps Android API v2, but you must specify either coarse or fine
         location permissions for the "MyLocation" functionality.
    -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- détection de la position du téléphone via GPS -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- détection de la position actuelle du téléphone via la connexion réseau -->

    <application
        android:allowBackup="true"
        android:icon="@mipmap/siogel"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/siogel"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <!--
             The API key for Google Maps-based APIs is defined as a string resource.
             (See the file "res/values/google_maps_api.xml").
             Note that the API key is linked to the encryption key used to sign the APK.
             You need a different API key for each encryption key, including the release key that is used to
             sign the APK for publishing.
             You can define the keys for the debug and release targets in src/debug/ and src/release/.
        -->
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <activity
            android:name=".Geolocalisation"
            android:label="@string/title_activity_geolocalisation"></activity>
        <activity android:name=".ModificationClient" />
        <activity android:name=".AfficheListeClients" />
        <activity android:name=".MainActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>